#!/bin/bash

fichier=./logins.csv

while read ligne    #lis tous les lignes
do
    #Créer l'utilisateur avec un répertoire personnel et le shell /bin/bash
    username=$(echo $ligne | cut -d "," -f1) 
    useradd -m -s "/bin/bash" $username
    
    #Définir le groupe de l'utilisateur
    group=$(echo $ligne | cut -d "," -f5)
    usermod -aG $group $username

    #Définir le mot de passe de l'utilisateur
    passwd=$(echo $ligne | cut -d "," -f2)
    echo $username:$passwd | chpasswd
    
    
    #Modifier les droits sur le répertoire personnel pour l'utilisateur
    chown $username:$username /home/$username
    

done < $fichier
